package ru.ulstu.extractor.branch;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import ru.ulstu.extractor.model.Branch;
import ru.ulstu.extractor.model.Repository;

import java.util.List;

public interface BranchRepository extends JpaRepository<Branch, Integer> {
    Branch findByRepositoryAndName(Repository repository, String name);

    @Query("select count(c) from Commit c LEFT JOIN c.branch b  LEFT JOIN Repository r where r.id = ?1 AND b.name = ?2")
    int getCommitsCount(Integer repositoryId, String name);

    List<Branch> findByRepositoryId(Integer repositoryId);

    Page<Branch> findByRepository(Repository repository, Pageable pageable);
}
