package ru.ulstu.extractor.ts;

import org.springframework.stereotype.Component;
import ru.ulstu.extractor.branch.BranchService;
import ru.ulstu.extractor.service.TimeSeriesService;

@Component
public class CommitsTS extends AbstractTSExtractor {
    private final TimeSeriesService timeSeriesService;
    private final BranchService branchService;

    public CommitsTS(TimeSeriesService timeSeriesService,
                     BranchService branchService) {
        this.timeSeriesService = timeSeriesService;
        this.branchService = branchService;
    }

    @Override
    public String getTSName() {
        return "Количество коммитов во времени";
    }

    @Override
    public int getNewTSValue(Integer repositoryId, String branchName) {
        return branchService.getCommitsCount(repositoryId, branchName);
    }

    @Override
    public TimeSeriesService getTimeSeriesService() {
        return timeSeriesService;
    }
}
